classdef SpectrumView
    properties
        axes;
    end
    
    methods
        function obj = SpectrumView(axes)
            obj.axes = axes;
        end
        
        function update(obj, t, signal)
            fs = 1/mean(diff(t));
            
            N = length(t);
            f = (-1/2 : 1/N : 1/2-1/N) * fs;
            
            spectrum = fftshift(fft(signal));
            plot(obj.axes, f, db(abs(spectrum)));
        end
    end
end
